Bug 125162 - Empty Fontmap file in ghostscript
Empty Fontmap file in ghostscript
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 05:56 EDT by José Manuel Macías
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 10:29:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description José Manuel Macías 2004-06-03 05:56:08 EDT
Description of problem:

ghostview is failing when trying to find fonts in a wrong location
due to the empty Fontmap file distributed within the package.

Version-Release number of selected component (if applicable):


How reproducible:

Just print to file in OpenOffice using any valid postscript driver
and try to see the PS file with ghostscript.

Steps to Reproduce:
1. Configure a postscript printer in OpenOffice
2. Print any document to a file
3. Try to open it with ghostscript (or try to convert it to pdf).
  
Actual results:

The postscript file is valid (I think), but ghostview can't find the
fonts correctly and fails to display it (displays blank pages).

Expected results:

The psotscript file should be read correctly... :)

Additional info:

The problem was solved by doing what I read in this post:

http://www.redhat.com/archives/fedora-list/2004-February/msg03919.html

I think the ghostscript package should be revised. I'm Cc'ing this
message to the packager of ghostscript.
Comment 1 Tim Waugh 2004-06-03 06:33:13 EDT
$ cat Fontmap
%!
% See Fontmap.GS for the syntax of real Fontmap files.
(Fontmap.GS) .runlibfile

So Fontmap delegates to Fontmap.GS anyway.

You probably modified Fontmap in the first place, and since that file
is marked as %config the new package will have created a
Fontmap.rpmnew.  Just mv Fontmap.rpmnew Fontmap.
Comment 2 José Manuel Macías 2004-06-03 06:54:04 EDT
There was no Fontmap.rpmnew file, just an empty (0 bytes) Fontmap.
Deleting both files (Fontmap and Fontmap.GS), and forcing reinstall of
ghoscript seems to work. I should have seen the contents of Fontmap
before overwriting it the first time. 

Nevertheless, more people had the same problem. I made a complete
install of RedHat 9, keeping only my /home partition. Since then, FC1
and FC2 where upgrades from the privious. It's strange I didn't
noticed this problem before... and I don't remember to have changed
this file by hand...

Comment 3 Tim Waugh 2004-06-03 07:01:57 EDT
Okay, the crucial information was that this was an upgrade.  Something
to look into then.
Comment 4 Matthew Miller 2005-04-26 12:08:04 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.